<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $itemcode = $_REQUEST["item"];
    $colorcode = $_REQUEST["color"];
    $gitemn = mysqli_query($conn, "SELECT `code`,`name` FROM `item`  where code = '$itemcode'")or die(mysqli_error($conn));
    $fitemn = mysqli_fetch_array($gitemn);
    $itemname = $fitemn['name'];
    $gcol = mysqli_query($conn, "SELECT `code`,`name` FROM `color`  where code = '$colorcode'")or die(mysqli_error($conn));
    $fcol = mysqli_fetch_array($gcol);
    $colrname = $fcol['name'];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><b><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'></b></td>";
    Echo "<td>";
    Echo "<input type='text' class='form-control form barcode' name='barcode_$ctr' value='$itemcode'>";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form item fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    Echo "<option value='$itemcode'>$itemname</option>";
    $gitem = mysqli_query($conn, 'SELECT `code`,`name` FROM `item`  order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    Echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' >";
    Echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' >";
    Echo "</td>";
    Echo "<td>";
    Echo "<select class='form-control form color select2  fetchpart_$ctr' name='color_$ctr' style='width:100%'>";
    Echo "<option value='$colorcode'>$colrname</option>";
    $gcolor = mysqli_query($conn, 'SELECT `code`,`name` FROM `color` order by name')or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        Echo "<option value='$color[code]'>$color[name]</option>";
    }
    Echo "</select>";
    echo "</td>";
    Echo "<td><b><input type='text' class='form-control form text-right qty'      name='qty_$ctr'      value='0'></b></td>";
    Echo "<td><b><input type='text' class='form-control form text-right rate'  id='rate_$ctr'   name='rate_$ctr'     value='0'></b></td>";
    Echo "<td><b><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly></b>
         <input type='hidden' class='form-control form text-right mspamount'   name='mspamount_$ctr'   value='0' readonly></td>";
    Echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 